Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.visitors
Class DOMServiceDelegateVisitor

    java.lang.Object
      org.jboss.soa.esb.visitors.DOMServiceDelegateVisitor

All Implemented Interfaces:
  org.milyn.delivery.ContentHandler, org.milyn.delivery.dom.DOMElementVisitor, org.milyn.delivery.dom.DOMVisitAfter, org.milyn.delivery.dom.DOMVisitBefore, org.milyn.delivery.dom.DOMVisitor, org.milyn.delivery.Visitor

Deprecated. Use `FragmentRouter`

    public class DOMServiceDelegateVisitor

extends java.lang.Object
implements org.milyn.delivery.dom.DOMElementVisitor

DomServiceDelegatorVisitor is a Smooks vistor which wraps the element object in an ESB Message object and then sends the message to the configured ESB Service.

Sample config (smooks-res.xml) :

      <resource-config selector="OrderLines">
      <resource>org.jboss.soa.esb.visitors.DOMServiceDelegateVisitor</resource>
      <param name="service-category-name">FirstServiceESB</param>
      <param name="service-name">sendToJMSQueue</param>
      <param name="send-in-visit-after">true</param>

Author:
  Daniel Bevenius

Field Summary
`static java.lang.String` | `SEND_IN_VISIT_AFTER` Deprecated.
`static java.lang.String` | `SEND_IN_VISIT_BEFORE` Deprecated.

Constructor Summary
`DOMServiceDelegateVisitor()` Deprecated.

Method Summary
`protected Message` | `createMessage(org.w3c.dom.Element element)` Deprecated.
`ServiceDelegator` | `getServiceDelegator()` Deprecated.
`protected void` | `sendToService(org.w3c.dom.Element element)` Deprecated.
`void` | `setConfiguration(org.milyn.cdr.SmooksResourceConfiguration config)` Deprecated.
`void` | `setServiceDelegator(ServiceDelegator serviceDelegator)` Deprecated.
`void` | `visitAfter(org.w3c.dom.Element element, org.milyn.container.ExecutionContext executionContext)` Deprecated.
`void` | `visitBefore(org.w3c.dom.Element element, org.milyn.container.ExecutionContext executionContext)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEND_IN_VISIT_BEFORE

    public static final java.lang.String SEND_IN_VISIT_BEFORE

  Deprecated.
  See Also:
    Constant Field Values

### SEND_IN_VISIT_AFTER

    public static final java.lang.String SEND_IN_VISIT_AFTER

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### DOMServiceDelegateVisitor

    public DOMServiceDelegateVisitor()

  Deprecated.

Method Detail

### visitAfter

    public void visitAfter(org.w3c.dom.Element element,
                           org.milyn.container.ExecutionContext executionContext)
                    throws org.milyn.SmooksException

  Deprecated.
  Specified by:
    `visitAfter` in interface `org.milyn.delivery.dom.DOMVisitAfter`
  Throws:
    `org.milyn.SmooksException`

### visitBefore

    public void visitBefore(org.w3c.dom.Element element,
                            org.milyn.container.ExecutionContext executionContext)
                     throws org.milyn.SmooksException

  Deprecated.
  Specified by:
    `visitBefore` in interface `org.milyn.delivery.dom.DOMVisitBefore`
  Throws:
    `org.milyn.SmooksException`

### sendToService

    protected void sendToService(org.w3c.dom.Element element)
                          throws org.milyn.SmooksException

  Deprecated.
  Throws:
    `org.milyn.SmooksException`

### setConfiguration

    public void setConfiguration(org.milyn.cdr.SmooksResourceConfiguration config)
                          throws org.milyn.cdr.SmooksConfigurationException

  Deprecated.
  Throws:
    `org.milyn.cdr.SmooksConfigurationException`

### createMessage

    protected Message createMessage(org.w3c.dom.Element element)

  Deprecated.

### getServiceDelegator

    public ServiceDelegator getServiceDelegator()

  Deprecated.

### setServiceDelegator

    public void setServiceDelegator(ServiceDelegator serviceDelegator)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD